Subject: Re: Mailing lists, was Re: [RFC] Git User's Survey 2008

From: Jakub Narebski <[email-masked]>
Date: Sat, 26 Jul 2008 20:17:03 +0200

On Sat, 26 July 2008, Shawn O. Pearce wrote:
> Jakub Narebski <[email-masked]> wrote:
>> Jing Xue <[email-masked]> writes:
>>> 
>>> Just a thought - how about a question polling whether people would be
>>> interested in build tool wrappers around jgit - ant tasks, maven
>>> plugins, etc.?
>> 
>> True, there are a lot of tools written in Java, which have or could
>> have support for Git: Ant tasks, Maven plugins, Hudson rules
>> (continuous integration), JIRA (bug/issue tracker).  Some of them
>> perhaps could use jgit, although if I understand correctly jgit is not
>> yet full implementation of Git: it is enough for egit, for local clone
>> of repository.
> 
>   xx. What Java based build tools would you like to see Git support in?
>       (choose zero or more, multiple choice)
>    -  Ant, Maven, Hudson, JIRA, other

Some of those tools have more or less official support for Git, for
example there is Git plugin for Hudson (e.g. continuous integration)
  http://hudson.gotdns.com/wiki/display/HUDSON/Git+Plugin
and Maven SCM git provider
  http://jira.codehaus.org/browse/SCM-182

>> I wonder if similar tools like mentioned above, but for the Ruby camp,
>> like Capistrano, Merb, Gitosis, whatever use git directly, or do they
>> use Ruby interface (and which interface).  I don't think there is
>> implementation of Git in Ruby... hmmmm....
> 
> There is an implementation in Ruby, but I'm not sure what its
> state is.

What it is? URL or name, please?

It looks like alternate Git implementation are cropping left and right:
jgit in Java, widgit/Git-R-Done and git# GSoC Mono project in C#,...
but not all of them maturing.

-- 
Jakub Narebski
Poland